Bug 697492 - Review Request: django-keyedcache - Utilities for simplified development of cache aware objects
Review Request: django-keyedcache - Utilities for simplified development of c...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-18 09:05 EDT by Rahul Sundaram
Modified: 2011-09-05 10:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-10 03:09:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Patch to fix directory ownership issue (413 bytes, patch)
2011-07-09 07:14 EDT, Narasimhan
no flags Details | Diff

  None (edit)
Description Rahul Sundaram 2011-04-18 09:05:59 EDT
Spec URL: http://sundaram.fedorapeople.org/packages/django-keyedcache.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/django-keyedcache-1.4.1-1.fc15.src.rpm
Description: 
Django Keyedcache provides utilities and class mixins for simplified development
of cache-aware objects.  Used in Satchmo
Comment 1 Arun S A G 2011-07-06 10:56:30 EDT
@lakshmi , are you planning on to do the review?
Comment 2 Narasimhan 2011-07-06 11:16:56 EDT
@Arun,
Hi, yeah. Will do it by Friday.
Comment 3 Narasimhan 2011-07-08 06:24:52 EDT
Hi Rahul,
I am getting a build error for rawhide build http://koji.fedoraproject.org/koji/taskinfo?taskID=3186206
Comment 4 Rahul Sundaram 2011-07-09 05:44:37 EDT
Weird.  Something has changed that causes the test to fail.  Workaround it for now

http://sundaram.fedorapeople.org/packages/django-keyedcache.spec
http://sundaram.fedorapeople.org/packages/django-keyedcache-1.4.1-2.fc15.src.rpm

rpmlint throws a error about a empty file but that isn't a real issue.
Comment 5 Narasimhan 2011-07-09 07:12:22 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint  -i django-keyedcache.spec  built/django-keyedcache-1.4.1-2.fc14.*.rpm
django-keyedcache.noarch: W: spelling-error %description -l en_US mixins -> mixing, mix ins, mix-ins
The value of this tag appears to be misspelled. Please double-check.

django-keyedcache.noarch: E: zero-length /usr/lib/python2.7/site-packages/keyedcache/locale/es/LC_MESSAGES/django.po
django-keyedcache.src: W: spelling-error %description -l en_US mixins -> mixing, mix ins, mix-ins

The value of this tag appears to be misspelled. Please double-check.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK the website lists the license as New BSD license which will be BSD 3 clause https://fedoraproject.org/wiki/Licensing/BSD#New_BSD_.28no_advertising.2C_3_clause.29. No LICENSE file is included.
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK, noarch package.
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Buildroot is ignored - present anyway. OK
        %clean is ignored - present anyway. OK
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, none included.

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
Sources licensed with New BSD license.
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
No LICENSE file is included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

md5sum django-keyedcache-1.4-1.tar.gz 
49d50e6a44db5fe820108534496a7892  django-keyedcache-1.4-1.tar.gz

md5sum django-keyedcache-1.4.1-2.fc15.src/django-keyedcache-1.4-1.tar.gz 
49d50e6a44db5fe820108534496a7892  django-keyedcache-1.4.1-2.fc15.src/django-keyedcache-1.4-1.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Noarch package built on x86_64 and i686.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in
ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.

[+]MUST: A package must own all directories that it creates.
One directory that is created by the package is not being owned by it. Attached a patch to fix this.

[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissable content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[NA]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[NA]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
Checked with rpmquery --list and whatprovides
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[-]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
Please query upstream to include a copy of the LICENSE file.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the packages. Installs fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

APPROVED.
Comment 6 Narasimhan 2011-07-09 07:14:21 EDT
Created attachment 512039 [details]
Patch to fix directory ownership issue
Comment 7 Rahul Sundaram 2011-07-09 10:37:22 EDT
Thanks.  Will fix and import

New Package SCM Request
=======================
Package Name: django-keyedcache
Short Description: Utilities for simplified development of cache aware objects
Owners: sundaram
Branches: 
InitialCC:
Comment 8 Jon Ciesla 2011-07-09 19:17:02 EDT
Git done (by process-git-requests).
Comment 9 Rahul Sundaram 2011-07-12 01:24:58 EDT
Package Change Request
======================
Package Name: django-keyedcache
New Branches: el6
Owners: sundaram pjp
InitialCC:
Comment 10 Jon Ciesla 2011-07-12 08:41:23 EDT
Git done (by process-git-requests).
Comment 11 Rahul Sundaram 2011-07-31 07:45:52 EDT
New Package SCM Request
=======================
Package Name: django-keyedcache
Short Description: Utilities for simplified development of cache aware objects
Owners: sundaram
Branches: f15
InitialCC:
Comment 12 Jon Ciesla 2011-07-31 15:42:17 EDT
Already exists?
Comment 13 Rahul Sundaram 2011-09-05 03:19:02 EDT
It doesn't exist.  I tried again and I can't switch to that branch
Comment 14 Rahul Sundaram 2011-09-05 03:28:35 EDT
Package Change Request
======================
Package Name: django-keyedcache
New Branches: f15
Owners: sundaram pjp
InitialCC:
Comment 15 Rahul Sundaram 2011-09-05 03:29:31 EDT
It just noticed I use the new package request instead of the change request.  Filed it again.
Comment 16 Jon Ciesla 2011-09-05 10:23:39 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.